PutAccountDataRetention
Sets the account-wide data retention mode for Amazon Bedrock.
Request Syntax
PUT /data-retention HTTP/1.1
Content-type: application/json
{
"mode": "string"
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- mode
-
The data retention mode to set for the account.
Type: String
Valid Values:
default | none | provider_data_share | inheritRequired: Yes
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"mode": "string",
"updatedAt": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
The request is denied because of missing access permissions.
HTTP Status Code: 403
- InternalServerException
-
An internal server error occurred. Retry your request.
HTTP Status Code: 500
- ThrottlingException
-
The number of requests exceeds the limit. Resubmit your request later.
HTTP Status Code: 429
- ValidationException
-
Input validation failed. Check your request parameters and retry the request.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: